Subject: RE: Fwd: Re: IP: Microsoft breaks Mime specification

From: Franck Martin <[email-masked]>
Date: Wed, 23 Jan 2002 10:53:30 +1200

There could be something here, where the IETF encourages private companies
to set up a conformance certification program. The IETF/ISOC would need to
create a logo/trademark "Internet Compatible", and then licence the right to
certification companies...

I think ISOC could be Interested in such scheme to support the IETF work.

This could be a revenue stream for the IETF to help publish the RFCs

My 0.02 euro

Franck Martin
Network and Database Development Officer
SOPAC South Pacific Applied Geoscience Commission
Fiji
E-mail: [email-masked] <mailto:[email-masked]> 
Web site: http://www.sopac.org/
<http://www.sopac.org/> Support FMaps: http://fmaps.sourceforge.net/
<http://fmaps.sourceforge.net/> 

This e-mail is intended for its addresses only. Do not forward this e-mail
without approval. The views expressed in this e-mail may not be necessarily
the views of SOPAC.

-----Original Message-----
From: Marshall T. Rose [mailto:[email-masked]]
Sent: Wednesday, 23 January 2002 9:15 
To: [email-masked]
Cc: Einar Stefferud
Subject: Re: Fwd: Re: IP: Microsoft breaks Mime specification

the ietf does standardization, it does not do interoperability testing,
conformance certification, or protocol policing. we rely on other
organizations and the market for those tasks.

/mtr

---

From: "Sabharwal, Atul" <[email-masked]>
Date: Tue, 22 Jan 2002 15:27:35 -0800

Actually, this should also help businesses in terms of time to market.  The
amount of time
it costs to do interoperability testing of a new product would come down
significantly.
Really makes QA a hell.

--
Atul Sabharwal

P.S : personal opinion

-----Original Message-----
From: Franck Martin [mailto:[email-masked]]
Sent: Tuesday, January 22, 2002 2:54 PM
To: 'Marshall T. Rose'; [email-masked]
Cc: Einar Stefferud
Subject: RE: Fwd: Re: IP: Microsoft breaks Mime specification

My 0.02 euro

Franck Martin

-----Original Message-----
From: Marshall T. Rose [mailto:[email-masked]]
Sent: Wednesday, 23 January 2002 9:15 
To: [email-masked]
Cc: Einar Stefferud
Subject: Re: Fwd: Re: IP: Microsoft breaks Mime specification

/mtr

---

From: "Kyle Lussier" <[email-masked]>
Date: Tue, 22 Jan 2002 17:07:35 -0800

As a vendor, we would totally support that kind of a thing,
I'm ready to sign-up for IETF Internet Compatibility right
now, where do I apply?

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Tue, 22 Jan 2002 21:04:32 -0800

> I support the idea, what needs to be done is the IETF to come with a
> trademark and someone to Inform the ISOC about all this discussion
> and also to register this trademark...

If it gets done, AutoNOC will be the first vendor to register.

So there's my $100 torwards getting it started.

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Tue, 22 Jan 2002 21:42:57 -0800

> Lynn, Could you please read this thread from the IETF archives, it 
> could be interesting for the development of ISOC/IETF.

I would like to follow up on this and make sure it happens.

Whatever I need to do, whoever I need to call to make sure it
happens, so please keep me filled in.

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Tue, 22 Jan 2002 22:12:49 -0800

> Kyle Lussier wrote:
> 	[..]
> > Imagine if the CIO of
> > Wells Fargo requires Microsoft to be IETF certified, or no more
> > money from them?

> Just imagine. Company X gets "IETF Certified", starts getting 
> business.
> Some-one crossposts an email claiming that Company X apps break Mime
> specification. Uproar. Moral indignation. IETF revokes
> Company X's certification. Company X starts losing business.
> Company X unleashes the lawyers.
> 
> Imagine, eh?

That process, quite frankly, *will* happen with badly behaving
vendors.

Fundamentally, we'll need to design in handling of that.  There
are other scenarios to worry about as well.  We should think of every
imaginable one, and preclude them in the initial application.

There are lots of scenarios to worry about, but none that horrible
that they can't be cleanly adjusted for in the application.  It
could also be $100/year for use of it, with a new applicaiton
each year to adjust for things badly behaving vendors do.

In the application for the trademark, we should include a clause
that, by using the trademark, you forego any right to sue about 
the use of, certification, or anyting related to the revocation 
of the trademark.

If you lose the faith of the IETF, it should be made clear, during
the applicationm that you will, quite frankly, lose use of the
trademark.

If you want to use the trademark, you have to agree to rules
about using it, and one of them should preclude the scenario
you discussed as well as some others I can consider.  But the
issues are certainly manageable, and can be done in the application.

And I would argue, that this kind of a thing is so incredibly
important to the future of the Internet, that it has to be done.

We're not precluding anyone from doing anything, only complying
with a consensus.  The IETF is about the fairest "jury" you are
ever going to find in IT.... and your comments against my
idea indicate the truth of this :)  But that's what makes the
IETF great!

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Tue, 22 Jan 2002 22:37:18 -0800

> Just imagine. Company X gets "IETF Certified", starts getting business.

Additionally, you could, quite simply take 50% of the application
fees, throw them in a mutual fund, and reserve those fees for
the trademark legal defense fund.

Either way, it's something that's got to be done, somehow someway.

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Tue, 22 Jan 2002 23:11:14 -0800

> We?
> 
> You mean someone with the time and inclination to do the work of 
> forming  this effort, getting it funded, recruiting community
>  support, operating it, etc?
> 
> As I said, the IETF has the resources to wish such an effort the 
> best of luck.  It does not have the resources, style or 
> inclination to do the task itself.

Well, to our company it's probably important enough that we would 
be willing to do it... if the community wanted us to, and we had
the backing of the IETF.

How would I go about proposing such a thing?  Does there need to
be an "IETF Trademark" Working Group?

I mean I really think this has to be done, I don't care if it's
us or not, someone needs to.  But we would do it if we needed to.

We're still really knew to the IETF and don't have a lot of
"IETF" clout, although I'm not sure who the right people would be,
but I suspect it would be better received by IETF leadership
(although I'm not entirely sure who that is either :) ).

But in default, if we got the IETF endorsement, we would happily
organize and do this.  It's critical to the future of the Internet
and for public standards as a whole.

Kyle Lussier
AutoNOC LLC

---

From: "Michel Py" <[email-masked]>
Date: Tue, 22 Jan 2002 23:15:48 -0800

> business. Some-one crossposts an email claiming that Company X
> apps break Mime specification. Uproar. Moral indignation. IETF
> revokes Company X's certification. Company X starts losing
> business. Company X unleashes the lawyers. Imagine, eh?
> gja

What a terrible waste of time for Company X's lawyers. They have so many
other important things to do, like buying new Armani suits, keeping
their hands out of their own pockets even in winter, and suing the
Federal Government for being a monopoly. It would be a lot simpler for
Company X to shove the Mime RFC where I think and use MS-Mime instead.

Michel.

---

From: "Kyle Lussier" <[email-masked]>
Date: Wed, 23 Jan 2002 02:32:36 -0800

> Hm, ietf going in the business of rubber stamping? Even ITU never 
> considered anything like labelling products to be "ITU-compatible" .
> They just publish "Recommendations". Every vendor is free to use,
> bend, or ignore those Recommendations. Yet, the global phone
> network (and the greater part of the global transport network carrying 
> the Internet) operates according to those Recommendations ... 
> Every successfull phone call proves that such voluntary standardisation
> scheme, without any formal certification mechanism, can work.

Point taken.  And that's certainly true in markets where the
vendors respect each other, or at least, at a bare minimum,
play the game in full compliance with existing laws.

But what happens when you are in a market, where vendors absorb
public standards and work to proprietorize them and/or destroy
them, as a function of the business model?  My view, flat out,
is that this is "cheating the game" and there are plenty of
laws on the books to cover it, but if you are willing to donate
enough cash to politicians, you can certainly be granted exemptions.

It's  an age old story, I know.  But my view is that the markets and 
customers are best served when you have uniform public standards for 
core technologies, and the vendors fight it out for the best 
implementations.  Am I wrong here?  Shouldn't a role of the IETF be 
to strengthen public standards to the point it's suicide for a
vendor to go it alone?  Won't that ultimately cut in half, or more
the amount of work done?

All I am saying is that an easy, no hassles, good faith, 
logo requirement, at very low cost, would go a long ways to
improving interoperability and technology development efficiency.   

Today's CIO's and product decision makers are pretty defense-less 
when it comes to negotiating with badly behaving vendors.  They 
don't have any leverage.  All I want to do, is for the CIOs that
care about interoperability, we give them the ability to leverage 
how important interoperability is.  As the world stands now, they
can say "we want interoperability" but there is no way to insure it.

There are markets like the telephone networks and other networks
where public standards compliance is *mandatory* in order for
any product to work, as it is a function of the whole.  But what
about in more segmented markets where a given vendor *isn't* forced
to work with competing products for market acceptance?

I think it's important to maintain public standards and have
the best vendor implementations of these requirements rise
to the top, and remain, in full faith to the standard.

Maybe it isn't the IETF's job, maybe that's the debate, but I
would argue, the organization of the standard bearer should be 
able to place the "one true mark" on things that fit the 
conceptual model.

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Wed, 23 Jan 2002 04:21:15 -0800

Caught me in a typo!  My apologies.  Should be RFC's.  I'm feeling
quite dyslexic (sp?) these days.

> On Tue, 22 Jan 2002, Kyle Lussier wrote:
> 
> > We always tell our customers that we support products that work with
> > the IETF RTFs.
> 
> which IETF RTFs would these be?
> 
> > Putting in place a democratic *FAIR* standards
> > certification plan would make it very helpful for us, because we
> > could write in our support contracts, if it's IETF certified
> > we'll support it.
> 
> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
> 
> 
>

---

From: Franck Martin <[email-masked]>
Date: Wed, 23 Jan 2002 14:34:19 +1200

Im my early statement, I was not suggesting that the IETF be the
certification company, but that the IETF registers a series of trademarks
("Internet compatible","Internet Ready",...) and then call for tender from
certifications companies. These certification companies will get the right
to select who should or shouldn't be able to use the trademarks on their
products....

IETF/ISOC is the holder (copyrighter) of the RFC (ie standards) as well as
holder of the trademarks, and they select annually companies that are the
most capable to test products and say that these products are complaint with
RFC standards...

So like this, most of the job is removed from IETF mainstream work, and the
litigation process will be against the certification company, not the holder
of standard or trademarks...

The RFCs wwould be still public, companies will be still able to make RFC
compatible products, the opensource movement will be still able to develop
and implement RFC compatible protocols and products, and the best products
would be easily recognised through the certification.

Franck Martin

-----Original Message-----
From: Kyle Lussier [mailto:[email-masked]]
Sent: Wednesday, 23 January 2002 1:16 
To: Franck Martin; 'Marshall T. Rose'; [email-masked]; Einar Stefferud
Subject: RE: Fwd: Re: IP: Microsoft breaks Mime specification

I definitely agree that the IETF should be responsible for certifying
products as "Internet Compatible".  It gives vendors something to
shoot for.

We always tell our customers that we support products that work with
the IETF RTFs.  Putting in place a democratic *FAIR* standards
certification plan would make it very helpful for us, because we
could write in our support contracts, if it's IETF certified
we'll support it.

It's just got to be fair and relatively inexpensive to get
certification initially.  Wait for problems to arise, and when
they do, that's when the IETF uses certification as a bludgeon 
and can threaten to publicly yank the certification.

It should be an encouraging force and very very easy to get
IETF ceritifcation, and if you abuse it, you could lose it
and be left out in the cold.

That's the way I would envision such a system.  You don't
have to do elaborate interoperability testing, etc.  You
use IETF testing purely as an offensive weapon against
ill-behaving companies.  And this strategy would allow the
IETF to have tons of products certified, get easy revenue,
and have control over standards abusers to insure a better
Internet for everyone.

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Tue, 22 Jan 2002 19:37:00 -0800

I have to agree with Ed here.  It is an all out standards war, what
we've got isn't working.

I certainly understand the reasoning behind the current
certification "construct".

But we aren't seeing the desired effects.  My argument is that there
should be a single trademark, owned by IETF, that, as a vendor, you
can pay $100 or something, submit an application, sign a waiver that
it supports to the RFC's and be able to use the trademark.

All we need is for someone to come up with a trademark, get IETF
approval on the specific trademark, assign ownership of the trademark
to IETF, and start collecting checks.

Then, relevant members of the IETF, on their own, should be
able to attack a product based on IETF compliance to either pull
the logo, or stop shipping the product.

My feelings here, is that the existing construct doesn't seem
forceful enough.  Some companies are wonderful (cisco comes to mind,
to my own personal experiences), and some companies are very very
bad, none of us have a shortage of examples in that space.

The process, as it stands, appears to be ineffective in enforcing
standards compliance.  My feeling is that is because the certification
process appears to be far to distributed amongst to many people.
There are more than one trademarks to, aren't there?  For each
individual spec?  There should just be one, powerful trademark.

What is the cost of losing?  More crappy products.  A proprietary
solution will not win everything because there is always going
to be people fighting about it.  The only thing that can win is
publicly and rigorously enforced standards.  We have the worst of
all scenarios right now.  A severely ingrained proprietary standard
trying to defeat weaker public standards which won't go away.

That means... everyone has to learn two technologies, two products,
two ways of doing things.  That is horrible for end users, developers,
and the technology business as a whole because it doubles the costs 
of everything and all new things happen at half speed.

Kyle Lussier
AutoNOC LLC

---

From: "Morgan, Peter (Engineering)" <[email-masked]>
Date: Wed, 23 Jan 2002 14:52:20 -0000

>The process of developing test specifications is slow, tedious, 
>and about as alluring as the prospect of writing a MIB. 

Poor old Thomas. But I suppose you're used to it by now, Tom? ;-)

Peter.

-----Original Message-----
From: Melinda Shore [mailto:[email-masked]]
Sent: 23 January 2002 14:01
To: Dave Crocker; [email-masked]
Cc: [email-masked]
Subject: Re: Fwd: Re: IP: Microsoft breaks Mime specification

At 10:39 PM 1/22/02 -0800, Dave Crocker wrote:
>And you think that it is possible to do such a thing without all of the
considerable, formal mechanisms that normally accompany having one
institution (the IETF) pass judgement on another (the vendor) especially
when that judgement carries financial impact on the vendor?
>
>And you think that the vendor will not return the favor and seek financial
impact on the IETF(and its participants)?

The entire process will certainly have an impact on the organization,
even if "certification" is never revoked.  The process of developing
test specifications is slow, tedious, and about as alluring as the
prospect of writing a MIB.  It tends to attract relatively few people
and the tests themselves are hard to verify for completeness.  We've
all been watching the process of completing documents getting slower
and slower and slower and slower and slower, and stuff like this can
only compound the problem.

I tend to think that if Connectathon weren't useful it wouldn't still
be held after lo, these many years.  What's being requested here isn't
conformance testing, which we've got, but a seal of approval specifically
from the IETF.  I don't understand why this specific thing would be more
valuable than some other similar thing.  It seems to me that if people 
really want this they should go and raise funding to start something like 
an Underwriters Lab analog.  I'm really not sure why some people think 
this has to be in the IETF.

Melinda

---

From: "Davis, Charles" <[email-masked]>
Date: Wed, 23 Jan 2002 09:28:30 -0500

Yeah more regulation..yeah right !!:<

-----Original Message-----
From: Franck Martin [mailto:[email-masked]] 
Sent: Tuesday, January 22, 2002 9:34 PM
To: [email-masked]'; 'Marshall T. Rose'; [email-masked]; Einar
Stefferud

Franck Martin

-----Original Message-----
From: Kyle Lussier [mailto:[email-masked]]
Sent: Wednesday, 23 January 2002 1:16 
To: Franck Martin; 'Marshall T. Rose'; [email-masked]; Einar Stefferud
Subject: RE: Fwd: Re: IP: Microsoft breaks Mime specification

I definitely agree that the IETF should be responsible for certifying
products as "Internet Compatible".  It gives vendors something to shoot for.

We always tell our customers that we support products that work with the
IETF RTFs.  Putting in place a democratic *FAIR* standards certification
plan would make it very helpful for us, because we could write in our
support contracts, if it's IETF certified we'll support it.

It's just got to be fair and relatively inexpensive to get certification
initially.  Wait for problems to arise, and when they do, that's when the
IETF uses certification as a bludgeon 
and can threaten to publicly yank the certification.

It should be an encouraging force and very very easy to get IETF
ceritifcation, and if you abuse it, you could lose it and be left out in the
cold.

That's the way I would envision such a system.  You don't
have to do elaborate interoperability testing, etc.  You
use IETF testing purely as an offensive weapon against ill-behaving
companies.  And this strategy would allow the IETF to have tons of products
certified, get easy revenue, and have control over standards abusers to
insure a better Internet for everyone.

Kyle Lussier
AutoNOC LLC

> There could be something here, where the IETF encourages private 
> companies to set up a conformance certification program. The IETF/ISOC 
> would need to create a logo/trademark "Internet Compatible", and then 
> licence the right
to
> This e-mail is intended for its addresses only. Do not forward this 
> e-mail without approval. The views expressed in this e-mail may not be
necessarily
> the ietf does standardization, it does not do interoperability 
> testing, conformance certification, or protocol policing. we rely on 
> other organizations and the market for those tasks.
> 
> 
> /mtr
> 
> 
>

---

From: "Michel Py" <[email-masked]>
Date: Wed, 23 Jan 2002 08:02:49 -0800

> Randy Bush wrote:
> let's talk about the format of rfcs in this thread too, so we can
> bundle the bad ideas we seem to discuss periodically every six months
> or so and get them all out of the way quickly.  i think they should
> be in the new microsoft mime format and a subsidiary organization
> should be chartered to certify their compliance.

I suggest we create two new working groups:

- One to fix bugs in Microsoft products and bring them to compliance with RFCs.
- Another one for Cisco produts.

Maybe we need to create a new area for these as well. Then we can re-direct that kind of discussion to the appropriate mailing list.

Michel.

---

From: Keith Moore <[email-masked]>
Date: Wed, 23 Jan 2002 12:42:52 -0500

> > p.s. though mis-configuration of MTAs and DNS servers appears to be
> > a far larger source of errors than mis-implementation.
> 
> We don't need better software, we need better users ;-)

or we need to start considering human factors in protocol design.

Keith

---

From: "Kyle Lussier" <[email-masked]>
Date: Wed, 23 Jan 2002 11:35:37 -0800

Maybe that's the way to do it.  Put up a list of non-conforming
products.

From my perspective, we are just looking for some kind of a
well-maintained vehicle to reference in our support contracts.  
A list would meet that need, as would trademark certification
and other things.  

The thing that was neat about a trademark is it was a marketing 
advantage for the vendor as well as a cash generator for the IETF, 
but maybe it's not the "truely correct" solution.

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Wed, 23 Jan 2002 11:44:39 -0800

> > That's the only way I see to do it, not to mention, if it's cheap
> > and easy, lots of people will do it, and you would generate a
> > $10m legal fund so that it had some teeth.
> 
> Are you that sure that there are 100,000 seperate products that 
> would want to have the logo attached to them, and willing to 
> pay $100 for it?
> 
> /Valdis

Well... I don't know about that, ask a marketing guy :).

I know we would buy a couple for our different products, primarily
because we know seeing "IETF Certified" with be a big value add
to them.  It may be that our product would benefit more from that
than others, but I know we would buy enough to cover the cost of
the trademark over a year or two, at a minimum.

Kyle Lussier

---

From: "Kyle Lussier" <[email-masked]>
Date: Wed, 23 Jan 2002 14:02:59 -0800

> The only permanent bodies in the IETF are the IESG, IAB (and perhaps,
> depending on how you look at it, the NOMCOM, IRSG, RFC Editor and
> IANA). While not a member of any of these bodies, it is my belief that
> they would all be opposed to the imposition on them of the burden you
> are so zealously promoting.

Well, it was just an idea.  I saw support from a couple others for
something like it.

I'll write it off as juedge to be impractical.

I would like to thank everyone for their feedback, it was thorough,
novel, and intelligent.

Kyle Lussier
AutoNOC LLC

---

From: "Kyle Lussier" <[email-masked]>
Date: Wed, 23 Jan 2002 14:22:51 -0800

I think, ultimately, this could be done. None of these
are scenarios that couldn't be handled in the application,
and testing would be a non-issue, because you just say
"my product follows IETF standards".  The only worries
you have are about not conforming to the IETF.

But, the consensus, as I read it, seems to be that it's
not what IETF is about and is impractical.  That's fine,
and I agree with the comments.

It's just a shame there aren't better solutions to
badly behaving vendors.  Because the net result is
that we all have to learn more products, we double
our costs, we couble our expenses, and things move at
half-speed.  Love it or not, this is a problem we all
will have to deal with, for a long time.

And if not the IETF to solve this problem then who?

It's easy to villify an idea that may or may not
be appropriate, but we're still stuck with the
same problem.

Kyle Lussier
AutoNOC LLC

> 
> On Wed, 23 Jan 2002 12:09:30 PST, you said:
> 
> You're looking at situations including:
> 
> 1) Vendor X has the logo, Vendor Y hasn't applied/recieved it yet.
> Y has the better product, but X gets the bid.  The IETF gets sued
> by vendor Y for conspiring to keep Y out of business, and you get
> sued as CIO by your shareholders for mismanagement because X turns
> into a boondogle.
> 
> 2) Vendor X has the logo, but a *severe* bug has been found, but the
> logo hasn't been pulled yet.  Vendor Y has had their logo pulled for a
> smaller infraction.  Vendor Y sues you and the IETF because of unfair
> practices..
> 
> 3) Vendor X has the logo, but nobody has actually *verified* that
> their product implements the standard.  Vendor Y has their logo pulled
> for something minor.  This leads to:
> 
> 3a) Vendor Y sues because nobody has tested X.
> 
> 3b) Vendor X was the one who pointed out the problems in Y, and due to
> marketshare/influence/bribery, Y's logo got pulled while testing of X
> gets delayed - allowing X to get a contract that Y would have gotten
> otherwise.
> 
> 4) You buy shrink-wrapped Z that has the logo.  You subsequently find
> that the logo had been pulled, but of course the product wasn't recalled
> off the store shelves and repackaged before you bought it.  You find
> yourself fired because you broke company policy to only buy logo'ed
> products.
> 
> 5) Vendor Y sues because their logo gets yanked because THEIR interpretation
> of an RFC doesn't match the reading the WG Chair gives of the RFC, and the
> WC Chair happens to work for Vendor X.
> 
> 6) You are cordially invited to suggest how Microsoft will brand their
> Outlook XP with the logo, in particular, how to keep track of all the
> following:
> 
> 6a) Outlook XP branded as of 01/01/2002
> 6b) Outlook XP SP1 not branded as of 01/21/2002 because of bug 4781
> 6c) Outlook XP SP1+OfficeQFE:4781 branded as of release date of fix for 4781
> 6d) Outlook XP SP1+OfficeQFE:4781 but lacking OfficeQFE:NNN not branded
> as of 02/dd/2002 because of bug NNNN
> 6e) Outlook XP SP1+OfficeQFE:4781+OfficeQFE:NNN branded as of 03/dd/2002,
> but Outlook XP installs that are missing either the 4781 *or* NNNN fix are
> *not* branded.
> 6f) Outlook XP SP2 is branded, *except* if you've installed fix MMMM which
> breaks something, unless you've ALSO installed fix NNMM...
> 
> And that's with just 3 or 4 bugfixes.  Remember that a major product
> could have *hundreds* of bugfixes, all of which impact compliance to
> some extent.
> 
> Enjoy.
> 
> 7) Microsoft and AOL/Netscape get into a "Well, *your* browser does THIS!"
> war, with *both* sides shipping fixes and poking holes in the other's
> software on a daily basis, and somebody gets to track the current state
> of *two* browsers as per point (6) above, while both sides have lawyers
> breathing down your neck saying "Well, if *my* bug XYZ counted, so does
> *their* bug QST".
> 
> > CIOs would still need to choose to do this of course, but, as I
> > mentioned before, I know a number of them that are ready to
> > strangle some of their badly behaving vendors.
> 
> Again - if the CIO telling the vendor "Fix it or we're going elsewhere"
> doesn't cause the vendor to toe the line, why will "Put a logo on it
> or we're going elsewhere" do it?
> 
> > In the economy of today, if large implementations don't go well,
> > as a CIO, you are out the door.  IETF Compliance can go a long
> > way torwards helping secure the jobs of our CIOs by reducing
> > interoperability headaches and vendor standards infighting.
> 
> You obviously haven't been in the industry long enough to have gotten
> stuck in the middle of an deployment of a "certified" product that won't
> interoperate.
> 
> I'm sure most of the old-timers on this list have seen at least one case
> where a vendor guaranteed in writing that Version N+1 of their software
> would interoperate with Version N of *the same software*, but the upgrade
> didn't work right anyhow, since the software didn't read the guarantee....
> 
> -- 
> 				Valdis Kletnieks
> 				Computer Systems Senior Engineer
> 				Virginia Tech
> 
> 
>